Page MenuHomePhabricator

Mobile history shows red-sad faces to logged-out viewers but grey-happy to logged-in
Closed, ResolvedPublic3 Story Points

Description

For the diffs, the icons vary based on the actor's name being a registered username or an unregistered IP address. And this is the same, regardless of whether the reading user of this information is logged-in or not.

Logged-out viewLogged-in view

However, on the history page, a logged-out user sees all actors with the red icon. And a logged-in viewer sees all actors with a grey/happy icon.

Logged-out / Logged-in

I believe this is a bug - the same icon should be used between history and diff, and it should not vary based on the viewing user's identity.

Developer notes

This is a bug.

Notes to GCI participants

Both the MobileFrontend extension and the Minerva Neue skin should be installed as the former is the default for the latter.

Acceptance criteria

  • When viewing history page if the actor of an editor was anonymous the anonymous red icon should show.
  • When viewing history page if the actor of an editor was an editor the grey icon should show.

QA steps

Verify the correct user icons show on history page on mobile using beta cluster OR reading web staging

Event Timeline

Krinkle created this task.Sep 20 2018, 4:44 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 20 2018, 4:44 AM
D3r1ck01 updated the task description. (Show Details)Sep 20 2018, 8:11 PM
D3r1ck01 updated the task description. (Show Details)Sep 20 2018, 8:15 PM
D3r1ck01 added a subscriber: D3r1ck01.

I'll help mentor this for Google-Code-in-2018.

ovasileva triaged this task as Normal priority.Sep 25 2018, 3:58 PM
ovasileva set the point value for this task to 3.Sep 26 2018, 4:22 PM

Change 470157 had a related patch set uploaded (by Bjornskjald; owner: Bjornskjald):
[mediawiki/extensions/MobileFrontend@master] Fix all users showing as anon/registered depending on current user

https://gerrit.wikimedia.org/r/470157

Change 470157 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Fix all users showing as anon/registered depending on current user

https://gerrit.wikimedia.org/r/470157

Jdlrobson updated the task description. (Show Details)Oct 28 2018, 3:58 PM

On staging and beta cluster!

Jdlrobson updated the task description. (Show Details)Oct 31 2018, 6:37 PM
ovasileva added a subscriber: ovasileva.

confirmed to work as expected:
logged out history page:

ovasileva closed this task as Resolved.Nov 5 2018, 4:32 PM